org.apache.sysds.runtime.matrix.data

## Class MatrixValue.CellIndex

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.MatrixValue.CellIndex

Enclosing class:
  MatrixValue

    public static class MatrixValue.CellIndex
    extends Object

### Field Summary

Fields
`int` `column`
`int` `row`

### Constructor Summary

Constructors
Constructor and Description
`CellIndex(int r, int c)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object that)`
`int` `hashCode()`
`void` `set(int r, int c)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### row

    public int row

#### column

    public int column

### Constructor Detail

#### CellIndex

    public CellIndex(int r,
                     int c)

### Method Detail

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### set

    public void set(int r,
                    int c)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`